[![License: CC BY-NC-SA 4.0](https://img.shields.io/badge/License-CC%20BY--NC--SA%204.0-orange.svg?style=for-the-badge&logo=creativecommons&link=https%3A%2F%2Fcreativecommons.org%2Flicenses%2Fby-nc-sa%2F4.0%2F)](https://creativecommons.org/licenses/by-nc-sa/4.0/) &nbsp; ![Discord - Maverik](https://img.shields.io/badge/-Maverik-5865F2?style=for-the-badge&logo=discord&labelColor=black) &nbsp; [![Github - Maverik](https://img.shields.io/badge/-Maverik-111111?style=for-the-badge&logo=github&labelColor=24292f&link=https://github.com/Maverik/)](https://github.com/Maverik)

# Void Crew - Mavs Core Library

Common functionality for my plugins, including implementing the base plugin structure and custom storage & logging support.

&nbsp;
&nbsp;

### 🤔 Why this mod?

Actually you shouldn't be installing it, unless you're doing a manual install and the mod in the store tells you that it needs this library (all my mods will need this library).

This is a library and not meant to be used on it's own. You should not install it, if you haven't been asked to by another mod.

### ⚠️ Note for developers

This library configures the BepInEx to turn on `HideManagerObject`. 

If you're one of the exceptions who rely on getting manager object destroyed right at the start of the game, this flag is going to break it for you.

At the time of writing, no one is known to rely on this behaviour and it is not something you should be relying on in a well behaved mod.

### 📀 Runs on

- ✅ Host
- ✅ Client
- ⬜ Both

&nbsp;
&nbsp;

## ⏬ Manual Install

### 📃 Prerequisite

This is a [BepInEx 5](https://github.com/BepInEx/BepInEx) mod and as such requires that you have BepInEx 5 installed and working properly. If you've not done that yet, please go to their [documentation](https://docs.bepinex.dev/articles/user_guide/installation/index.html) on how to get it installed. 

You want the Stable (5.x - 5.4.22 LTS at the time of writing) **MONO** build when you're presented with choices.

If you already know how to get BepInEx working, head over to their [Releases](https://github.com/BepInEx/BepInEx/releases) to grab the latest copy.


### 👌 Recommended

My mods support configuration through [BepInEx Configuration Manager](https://github.com/BepInEx/BepInEx.ConfigurationManager) and I'd recommend you grabbing that as well to be able to tweak the mod to your own tastes.


### ✔️ Mod install

So you've got a working BepInEx 5 Mono installation running successfully. Now you can download this mods zip file. Unzip the contents into your game directory where you have your `Void Crew.exe`.

You should find the mod installed under `Bepinex\plugins\MavsPlugins\MavsLibCore`.

### 👋 Shoutout

While I've had many people help me out by offering me feedback on how the balance was feeling, helping me shape the balance that my mods are in
one person in particular has been happy to endure my experiments and many mission fails while I adjusted settings or tried new things.
 
So here's a shoutout to you my friend: `Blaze`.

Without your patience and company, I probably would not have poured hundreds of hours I've put in making the mods and even writing all the code that builds these readme files or store packaging! 

&nbsp;

## ⚖️ License

<p xmlns:cc="http://creativecommons.org/ns#" ><a rel="cc:attributionURL" href="https://github.com/Maverik/VoidCrewMods/tree/main/MavsLibCore">This work</a> by <a rel="cc:attributionURL dct:creator" property="cc:attributionName" href="https://github.com/Maverik">Maverik</a> is licensed under <a href="http://creativecommons.org/licenses/by-nc-sa/4.0/?ref=chooser-v1" target="_blank" rel="license noopener noreferrer" style="display:inline-block;">CC BY-NC-SA 4.0 <img alt="CC" height="22px" style="height:22px!important;margin-left:3px;vertical-align:text-bottom;" src="https://mirrors.creativecommons.org/presskit/icons/cc.svg?ref=chooser-v1"><img alt="BY" height="22px" style="height:22px!important;margin-left:3px;vertical-align:text-bottom;" src="https://mirrors.creativecommons.org/presskit/icons/by.svg?ref=chooser-v1"><img alt="NC" height="22px" style="height:22px!important;margin-left:3px;vertical-align:text-bottom;" src="https://mirrors.creativecommons.org/presskit/icons/nc.svg?ref=chooser-v1"><img alt="SA" height="22px" style="height:22px!important;margin-left:3px;vertical-align:text-bottom;" src="https://mirrors.creativecommons.org/presskit/icons/sa.svg?ref=chooser-v1"></a></p>

### ✍️ Source Code

The code for this mod is available at [Github](https://github.com/Maverik/VoidCrewMods/tree/main/MavsLibCore)

### 🙏 Wanna say thank you?

I do love a [Starbucks Classic Hot Chocolate](https://www.starbucks.co.uk/menu/product/2039)! If you enjoy my labour of love and would like to support my guilty pleasure, the gesture is highly appreciated!

[![ko-fi](https://ko-fi.com/img/githubbutton_sm.svg)](https://ko-fi.com/Z8Z6T7OWX)
